changeset 313:615fee88aa08

HGRCPATH: auto-include opendiff configuration if opendiff is on PATH.
author Augie Fackler <durin42@gmail.com>
date Sat, 18 Jun 2011 13:21:15 -0500
parents b9e92b79bb00
children 7cb31ed262f0
files .shell.d/50.common_env.sh
diffstat 1 files changed, 4 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/.shell.d/50.common_env.sh
+++ b/.shell.d/50.common_env.sh
@@ -19,4 +19,8 @@ insert_element_into_var /opt/hg/lib/pyth
 insert_path_element /opt/hg/bin
 
 export HGRCPATH="$HOME/.hgrc:$HOME/.private/hgrc:$HOME/.hgrc-$(hostname)"
+which opendiff > /dev/null
+if [ $? = 0 ] ; then
+    export HGRCPATH="$HGRCPATH:$HOME/unixSoft/hgrc-opendiff"
+fi
 export LESS=FSRX